%global pypi_name django-filter
%global obs_ver 0.5.0-6

Name:           python-%{pypi_name}
Version:        0.7
Release:        1%{?dist}
Summary:        A Django application for allowing users to filter queryset dynamically

Group:          Development/Languages
License:        BSD
URL:            http://github.com/alex/django-filter
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-django
BuildRequires:  python-django-discover-runner
BuildRequires:  python-mock
BuildRequires:  python-setuptools
Requires:       python-django

Provides:       django-filter = %{version}-%{release}
Obsoletes:      django-filter < %{obs_ver}

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} runtests.py

%files
%doc CHANGES.rst README.rst LICENSE docs/
%{python_sitelib}/django_filters
%{python_sitelib}/django_filter-%{version}-py?.?.egg-info

%changelog
* Thu Apr 10 2014 Luis Bazan <lbazan@fedoraproject.org> - 0.7-1
- new upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Miro Hrončok <mhroncok@redhat.com> - 0.6-1
- New version compatible with Django 1.5
- Using runtests.py instead of creating own test suite
- Added BR python-django-discover-runner
- Filenames in %%docs changed
- Removed patches for Django 1.4
- Added BR python-mock >=1 (3 tests are failing with older mock)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 15 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.5.3-1
- Renamed to python-django-filter.
- Updated to version 0.5.3.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Aug 20 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.5.0-1
- Initial RPM release
